## libembperl-perl 2.5.0~rc3

=== debian/changelog ===
libembperl-perl (2.5.0~rc3-1) unstable; urgency=low

  * Imported Upstream version 2.5.0~rc3.
  * Dropped 691032-ftbfs-on-non-x86-architectures.patch, fixed upstream.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Fri, 30 Nov 2012 20:56:57 +0100

libembperl-perl (2.5.0~rc2-2) unstable; urgency=low

  * Team upload.
  * Add 691032-ftbfs-on-non-x86-architectures.patch patch.
    Fix FTBFS due to -m32 used on non-x86 architectures.
    Thanks to Konstantinos Margaritis <konstantinos.margaritis@freevec.org>
    (Closes: #691032)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 20 Oct 2012 22:09:51 +0200

libembperl-perl (2.5.0~rc2-1) unstable; urgency=low

  [ Jonathan Yu ]
  * Imported Upstream version 2.4.0.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Re-add Ryan and Gregor to copyright for debian/*
    packaging.

  [ Dominic Hargreaves ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Remove obsolete perl5.10.patch, perl5.12.patch.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Florian Schlichting ]
  * Imported Upstream version 2.5.0~rc2 (Closes: #624578, #666011).
  * Patches forwarded upstream and thus obsoleted:
    german.patch, new_process_group.patch, utf8.patch, fix-pod-errors.patch,
    fix-whatis.patch, fix-string-typo.patch, fix-pod-unescaped-unicode.patch.
  * Refreshed delay.patch (fuzz).
  * Dropped modperl.patch, mod_perl versions < 2 are history.
  * Dropped Makefile.PL.patch, divide et impera - style:
    + FORCEMP1 is no longer relevant, Makefile.PL can find Apache headers etc
      itself
    + replacing a custom prompt implementation is unnecessary
    + strip .pl suffix in debian/rules instead of Makefile.PL
    + with hardening flags enabled, there is nothing left in the output of
      `apxs2 -q CFLAGS` that makes a difference
  * Bumped Standards-Version to 3.9.4 (using copyright-format 1.0) and updated
    upstream copyright holders.
  * Switched dh compatibility to level 9 to enable passing of hardening flags.
  * Switched to short-form debian/rules.
  * Deleted obsolete README.source.
  * Removed version on mod-perl dependency (no older version in the archive).
  * Moved apache2-mpm-prefork from Suggests: to Recommends:.
  * Updated short and long description.
  * Replaced embedded code copy (prototype.js) by a symlink and suggest:
    libjs-prototype.
  * Added myself to uploaders and copyright.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Tue, 02 Oct 2012 22:39:09 +0200

libembperl-perl (2.3.0-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Dominic Hargreaves ]
  * Cherry-pick Perl 5.12 fixes from upstream (svn r960450)
    (Closes: #578490)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 13 Feb 2011 16:11:57 +0000

libembperl-perl (2.3.0-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + SSI syntax now behaves more like mod_include
    + Improved XHTML/XML support
    + Fix to correctly retrieve Cookie header under apache2
    + Fix segfault when a value of an input attribute is removed
  * Bringing this package under the pkg-perl group (Closes: #543609)
  * Updated d/watch with CPAN search site
  * Standards-Version 3.8.3
    + Remove version dependency on perl
    + Add Vcs-* and Homepage fields
  * Drop version dependency on:
    + apache2-prefork-dev (>= 2.2.3-3.3) [oldstable 2.2.3-4]
    + apache2-mpm-prefork (>= 2.2.3-3.3) [oldstable  2.2.3-4]
    + libapache2-mod-perl2 (>= 2.0.2-2.3) [oldstable 2.0.2-2.4]
  * Remove libcgi-pm-perl | perl-modules (>= 5.8.0) | libcgi-perl,
    which is always satisfied by perl
  * Add extensive patches to fix POD errors and add whatis entries
  * Add a patch to remove some Unicode data from POD; it was causing
    an obscure error with `AE' (thanks Ryan52!)

  [ Damyan Ivanov ]
  * debian/rules: fix target dependencies

  [ Ryan Niebur ]
  * Update jawnsy's email address
  * Update ryan52's email address

  [ gregor herrmann ]
  * Split out all changes to upstream code into proper patches managed by
    quilt.
  * Add patch cgi_pm.patch by Niko Tyni to avoid FTBFS if a newer CGI.pm is
    present at test time (closes: #521971).
  * Update debian/copyright.
  * debian/rules:
    - clean up a bit
    - call make with "-j1", the upstream build system is not parallel-build safe
    - add support for DEB_BUILD_OPTIONS nocheck
  * Change Section to "perl".
  * Remove dbinitembperlapache (created by test suite).

  [ Gunnar Wolf ]
  * Updated README.Debian to reflect the current reality re: thread
    safety, dropping mentions of obsolete mod_perl v1 and mentioning the
    deprecation of embperl itself
  * Reload Apache if a2enmod/a2dismod was called in postinst/prerm
  * Added Suggests: apache2-mpm-prefork, as it is the closer we can get to
    get the non-threaded versions of Apache2 by default besides
    documenting, which is already done in README.Debian. (Closes: #412521)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 15 Oct 2009 11:43:24 -0500

libembperl-perl (2.2.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch from Niko Tyni to allow the test suite to succeed with perl5.10.
    (Closes: #468237)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 09 May 2008 11:26:02 +0200

libembperl-perl (2.2.0-3) unstable; urgency=low

  * Dropped build-dependency on (and support for) Apache 1.3 (Closes:
    #429075)
  * Bumped up Debhelper compat version to 5
  * Bumped up standards version to 3.7.2 (No changes needed)
  * Fixed erroneous permissions (+x) on various example files
  * Fixed some manpages including invalid troff characters (usually
    german letters or such)

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 10 Jul 2007 01:32:19 -0500

libembperl-perl (2.2.0-2) unstable; urgency=low

  * Acknowledge NMUs (thanks Gunnar), closes: #416016, #395870.

