## libembperl-perl 2.5.0

=== debian/changelog ===
libembperl-perl (2.5.0-6) unstable; urgency=low

  [ Axel Beckert ]
  * Upload to unstable.
  * Fix changelog attribution in previous changelog entry.
  * Fix comment in perl5.22-compat-PL_sv_objcount-removal.patch about CGI
    tests not passing. (They do now.)

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

 -- Axel Beckert <abe@debian.org>  Mon, 01 Feb 2016 22:08:51 +0100

libembperl-perl (2.5.0-5) experimental; urgency=low

  [ gregor herrmann ]
  * debian/rules: use find -perm /xxx instead of +xxx.
    Thanks to Andreas Metzler for the bug report. (Closes: #803024)

  [ Axel Beckert ]
  * Drop hard a2enmod dependency on mod_perl in zembperl.load. mod_perl is
    enabled by default anyways if installed. (Closes: #810655)
  * Add patch to take PL_sv_objcount removal in Perl 5.22 into
    account. Fixes FTBFS with Perl 5.22. (Closes: #806897)
  * Upload to experimental for now as it's not clear if all those "0+" to
    enforce scalar/number context changes in the test suite are really
    correct or if there's a further 5.22-related bug in Embperl causing
    tons of empty values without the
    perl5.22-compat-PL_sv_objcount-removal.patch.

 -- Axel Beckert <abe@debian.org>  Fri, 15 Jan 2016 01:44:48 +0100

libembperl-perl (2.5.0-4) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Axel Beckert ]
  * Add patch to make Embperl compatible with libcgi-pm-perl >= 4.04
    (Closes: #765125)
  * Declare compliance with Debian Policy 3.9.6 (no other changes needed)
  * Add text files generated from POD to debian/clean
  * Add dh_clean override + file list debian/exec-bit to restore x bit in
    the "clean" target. Needed to get a clean working copy after a build.
  * Add myself to debian/copyright

 -- Axel Beckert <abe@debian.org>  Thu, 23 Oct 2014 02:15:25 +0200

libembperl-perl (2.5.0-3) unstable; urgency=medium

  * Team upload.
  * Create content of zembperl.load dynamically. It includes the perl
    vendorarch path, which differs for perl versions.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 Aug 2014 17:48:08 +0200

libembperl-perl (2.5.0-2) unstable; urgency=medium

  * Team upload

  * add patch from Niko Tyni adapting tests to changed error message in apache
    2.4 (Closes: #756382)
  * add patch from Niko Tyni adapting tests to changed error messages in perl
    5.20 (Closes: #754997)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Jul 2014 08:02:09 +0000

libembperl-perl (2.5.0-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Florian Schlichting ]
  * Email change: Florian Schlichting -> fsfs@debian.org
  * Update d/control and d/rules for apache 2.4
    Closes: #713249
  * New pod-errors.patch
  * Update the way we configure Apache in version 2.4 (closes: #666844)

  [ Axel Beckert ]
  * Import new upstream beta release 2.5.0~rc4
  * Pipe "yes y" into dh_auto_configure to answer interactive questions.
  * Apply wrap-and-sort.
  * Add myself as uploader.
  * Bump Standards-Version to 3.9.5 (no changes).
  * Clear lines with only tabs in debian/rules.

  [ Florian Schlichting ]
  * Import Upstream version 2.5.0 (closes: #709668)
  * Drop patches applied upstream
  * Update copyright years

 -- Florian Schlichting <fsfs@debian.org>  Mon, 21 Apr 2014 22:16:25 +0200
