=== debian/control ===
Source: libembperl-perl
Section: perl
Priority: optional
Build-Depends: apache2,
               apache2-api-20120211,
               apache2-dev,
               debhelper (>= 9.20120312),
               libapache-sessionx-perl,
               libapache2-mod-perl2,
               libcgi-pm-perl,
               libwww-perl,
               libxslt1-dev,
               netbase,
               perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonathan Yu <jawnsy@cpan.org>,
           Dominic Hargreaves <dom@earth.li>,
           Florian Schlichting <fsfs@debian.org>,
           Axel Beckert <abe@debian.org>
Standards-Version: 3.9.6
Homepage: https://metacpan.org/release/Embperl
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libembperl-perl.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libembperl-perl.git

Package: libembperl-perl
Architecture: any
Depends: libwww-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: apache2-api-20120211,
            libapache-sessionx-perl,
            libapache2-mod-perl2 | libfcgi-perl,
            libcgi-pm-perl
Suggests: libdbix-recordset-perl,
          libjs-prototype,
          mmm-mode
Description: system for building dynamic websites with Perl
 Embperl gives you the power to embed Perl code in your HTML/XML
 documents and the ability to build your Web site out of small
 reusable objects in an object-oriented style. You can also take
 advantage of all the usual Perl modules, (including DBI for database
 access) use their functionality and easily include their output in
 your web pages.
 .
 Embperl has several features which are especially useful for creating
 Websites, including dynamic tables, form field processing, URL
 escaping/unescaping, session handling, caching, XSLT transformation
 and more. See http://www.embperl.org/embperl/ for more information
 about Embperl.
 .
 This package contains Apache2, FastCGI, CGI and offline versions of
 Embperl, although you may need to install some additional packages to
 use some of those modes. Please note that when running under mod_perl,
 Embperl requires Apache's prefork mpm module and will not work with the
 more recent worker mpm.
